% Alexey Ryabov, 10.03.2014, 2015
% an example of a single model run
%% please contact alexey.ryabov@uni-oldenburg.de if you need any help to use this code

sp=30;  %number of species

ReshuffleStep = 100;
SaveSteps = 100;


tmax = 200; %THE MAXIMAL modelling time
ParamDefault.consump = 20;
TimeSteps2Save = 10;





ResourceRangesLowHigh = [1, 40];
TraitRangesLowHigh    = [1, 10];

Diff = 0.1; %%Set your dispersal for species
p = ParamDefault;
p.ResLow = ResourceRangesLowHigh(1, 1);  %the minimal values of the resource supplies
p.ResHigh = ResourceRangesLowHigh(1, 2); %the maximla values of the resource supplies
p.TraitLow = TraitRangesLowHigh(1, 1);   %the minimal R* value
p.TraitHigh = TraitRangesLowHigh(1, 2);  %the maximal R* value
p.ResDistr = 'g';                        %ResDistr resource distribution g - gradient, l - random locations, s - random supplies
p.Diff     = Diff;                       %the species dispersal rate
p.tmax = tmax;                           %the simulation time
p.sp   = sp;                             %number of species
p.specID = 1:sp;                         %use all species for the simulation
%you can define e.g. p.specID = [1, 5, 6]

%initialize the model
[Int, dx, L, CellNumb, fl, dt, tmin, tmax, t, tsteps, TimeSteps, ...
    ReshuffleTime, res, D, S, R, ResDyn, d, r, m, R_eq, c, N,DispRes] = ...
    Model_Params (p, ReshuffleStep);
TSpan = linspace(tmin, tmax, TimeSteps2Save);

%run the model
[TSpan, N_Dyn, R_Dyn] = run_MetaCom...
    (N, c, R_eq, r, m, d, DispRes, R, S, D, TSpan, fl, dx, L,ReshuffleTime,ReshuffleStep);


FileName = 'MetaComm1000';
save([FileName '.dat'],  'TSpan', 'N_Dyn', 'R_Dyn', '-mat');


