%% Preparing boundary conditions function for RCM
%% Daniel Ourinson, 10.03.2013
%% Alexey Ryabov   2014

% 
% This function generates a frame around a matrix X to get no flux 
% boundary conditions if c=0. 

function [X_rr] = SpatBoundary(c,X) 

X_r = [X(1,:, :)+c;X;X(end,:, :)+c]; % creation of the top and bottom frame
X_rr = [X_r(:,1, :)+c,X_r,X_r(:,end, :)+c]; % creation of the right and left 
                                      % frame

end